Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCEElGamalCipher.NoPadding

    java.lang.Object
      |
      +--javax.crypto.CipherSpi
            |
            +--org.bouncycastle.jce.provider.WrapCipherSpi
                  |
                  +--org.bouncycastle.jce.provider.JCEElGamalCipher
                        |
                        +--org.bouncycastle.jce.provider.JCEElGamalCipher.NoPadding

All Implemented Interfaces:
  PBE

Enclosing class:
  JCEElGamalCipher

public static class JCEElGamalCipher.NoPadding
extends JCEElGamalCipher

classes that inherit from us.

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JCEElGamalCipher
`JCEElGamalCipher.NoPadding`

Nested classes inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`WrapCipherSpi.AESWrap, WrapCipherSpi.DESEDEWrap, WrapCipherSpi.RC2Wrap`

Nested classes inherited from class org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineParams, pbeHash, pbeIvSize, pbeKeySize, pbeType, wrapEngine`

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD5, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, TIGER`

Constructor Summary
`JCEElGamalCipher.NoPadding()`

Methods inherited from class org.bouncycastle.jce.provider.JCEElGamalCipher
`engineDoFinal, engineDoFinal, engineGetBlockSize, engineGetIV, engineGetKeySize, engineGetOutputSize, engineGetParameters, engineInit, engineInit, engineInit, engineSetMode, engineSetPadding, engineUpdate, engineUpdate`

Methods inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineUnwrap, engineWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEElGamalCipher.NoPadding

    public JCEElGamalCipher.NoPadding()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD